Summary: A library for reading and returning lines from a terminal.
Name: readline
Version: 4.2
Release: 1tr
Copyright: GPL
Group: Libraries/Runtime
Source: ftp://ftp.gnu.org/pub/gnu/readline/readline-%{version}.tar.gz
#Patch0: readline-2.2.1-shared.patch
#Patch1: readline-2.2.1-guard.patch
Prereq: /sbin/install-info /sbin/ldconfig
Prefix: %{_prefix}
Buildroot: /var/tmp/readline-root

%description
The readline library reads a line from the terminal and returns it,
allowing the user to edit the line with standard emacs editing keys.
The readline library allows programmers to provide an easy to use and
more intuitive interface for users.

If you want to develop programs that will use the readline library,
you'll also need to install the readline-devel package.

%package devel
Summary: Development files for programs which will use the readline library.
Group: Libraries/Development
Requires: readline = %{PACKAGE_VERSION}

%description devel
The readline library will read a line from the terminal and return it.
Use of the readline library allows programmers to provide an easy
to use and more intuitive interface for users.

If you want to develop programs which will use the readline library,
you'll need to have the readline-devel package installed.  You'll also
need to have the readline package installed.

%prep
%setup -q
#%patch0 -p1 -b .shared
#%patch1 -p1 -b .guard

%build
%configure --prefix=usr --mandir=%{_mandir} --infodir='${prefix}/share/info'
make static shared

%install
rm -rf $RPM_BUILD_ROOT
make install install-shared prefix=$RPM_BUILD_ROOT/%{_prefix} libdir=$RPM_BUILD_ROOT/%{_prefix}/lib includedir=$RPM_BUILD_ROOT/%{_prefix}/include mandir=$RPM_BUILD_ROOT/%{_mandir}

( cd $RPM_BUILD_ROOT
  ln -sf libreadline.so.%{version} ./%{_prefix}/lib/libreadline.so
  ln -sf libhistory.so.%{version} ./%{_prefix}/lib/libhistory.so
  ln -sf libreadline.so.%{version} ./%{_prefix}/lib/libreadline.so.4
  ln -sf libhistory.so.%{version} ./%{_prefix}/lib/libhistory.so.4
  gzip -9nf ./%{_prefix}/share/info/*info*
  rm ./%{_prefix}/share/info/dir
)
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info /%{_prefix}/share/info/history.info.gz /%{_prefix}/share/info/dir
/sbin/install-info /%{_prefix}/share/info/readline.info.gz /%{_prefix}/share/info/dir

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /%{_prefix}/share/info/history.info.gz /%{_prefix}/share/info/dir
   /sbin/install-info --delete /%{_prefix}/share/info/readline.info.gz /%{_prefix}/share/info/dir
fi

%files
%defattr(-,root,root)
%{_prefix}/share/man/*/*
%{_prefix}/share/info/*info*
%{_prefix}/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/include/readline
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.so

%changelog
* Mon Jun 11 2001 Erlend Midttun <erlendbm@trustix.com>
- New upstream version.

* Wed Sep 13 2000 Per Ivar Paulsen <perp@trustix.com>
- Picked up 4.1

* Sun Feb 27 2000 Lars Gaarden <larsg@trustix.com>
- missed libhistory.so.4 and libreadline.so.4
- dangling symlinks to *.so.3.0

* Tue Jan 25 2000 Tore Olsen <toreo@trustix.com>
- upgraded to 4.0
- moved /usr/{man,info} to /usr/share/{man,info} for FHS compliance

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added guard patch from Taneli Huuskonen <huuskone@cc.helsinki.fi>

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.2.1

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- don't package /usr/info/dir

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
